javax.swing.event

## Interface MenuDragMouseListener

- All Superinterfaces:
    EventListener

      public interface MenuDragMouseListener
      extends EventListener

  Defines a menu mouse-drag listener.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `menuDragMouseDragged(MenuDragMouseEvent e)` | Invoked when the mouse is being dragged in a menu component's display area.
    `void` | `menuDragMouseEntered(MenuDragMouseEvent e)` | Invoked when the dragged mouse has entered a menu component's display area.
    `void` | `menuDragMouseExited(MenuDragMouseEvent e)` | Invoked when the dragged mouse has left a menu component's display area.
    `void` | `menuDragMouseReleased(MenuDragMouseEvent e)` | Invoked when a dragged mouse is release in a menu component's display area.

- - ### Method Detail

    - #### menuDragMouseEntered

          void menuDragMouseEntered(MenuDragMouseEvent e)

      Invoked when the dragged mouse has entered a menu component's display area.
      Parameters:
        `e` - a MenuDragMouseEvent object

    - #### menuDragMouseExited

          void menuDragMouseExited(MenuDragMouseEvent e)

      Invoked when the dragged mouse has left a menu component's display area.
      Parameters:
        `e` - a MenuDragMouseEvent object

    - #### menuDragMouseDragged

          void menuDragMouseDragged(MenuDragMouseEvent e)

      Invoked when the mouse is being dragged in a menu component's display area.
      Parameters:
        `e` - a MenuDragMouseEvent object

    - #### menuDragMouseReleased

          void menuDragMouseReleased(MenuDragMouseEvent e)

      Invoked when a dragged mouse is release in a menu component's display area.
      Parameters:
        `e` - a MenuDragMouseEvent object

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.